variable "region" {
  default = "ap-southeast-2"
}

variable "profile" {
  default = "superuser"
}

variable "project" {
  default = "template"
}

variable "api_name" {
  default = "template-api"
}

variable "container_image" {
  default = "mohitmutha/simplefastifyservice"
}

variable "container_port" {
  default = 3000
}

variable "service_port" {
  default = 3000
}

variable "zones" {
  type = set(string)
  default = [
    "ap-southeast-2a",
    "ap-southeast-2b",
    "ap-southeast-2c",
  ]
}

variable "public_subnets" {
  description = "Availability zone for instance associated with ip ranges"
  type        = map(any)
  default = {
    "ap-southeast-2a" = "10.0.1.0/25"
    "ap-southeast-2b" = "10.0.1.128/25"
    "ap-southeast-2c" = "10.0.3.0/25"
  }
}

variable "private_subnets" {
  description = "Availability zone for instance associated with ip ranges"
  type        = map(any)
  default = {
    "ap-southeast-2a" = "10.0.2.0/25"
    "ap-southeast-2b" = "10.0.2.128/25"
    "ap-southeast-2c" = "10.0.3.128/25"
  }
}
